com.lowagie.text.pdf

## Class PdfPKCS7.X509Name

- java.lang.Object
- - com.lowagie.text.pdf.PdfPKCS7.X509Name

- Enclosing class:
    PdfPKCS7

      public static class PdfPKCS7.X509Name
      extends java.lang.Object

  a class that holds an X509 name

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static DERObjectIdentifier` | `C` country code - StringType(SIZE(2))
    `static DERObjectIdentifier` | `CN` common name - StringType(SIZE(1..64))
    `static DERObjectIdentifier` | `DC` object identifier
    `static java.util.HashMap` | `DefaultSymbols` A HashMap with default symbols
    `static DERObjectIdentifier` | `E` email address in Verisign certificates
    `static DERObjectIdentifier` | `EmailAddress` Email address (RSA PKCS#9 extension) - IA5String.
    `static DERObjectIdentifier` | `GENERATION` Naming attribute of type X520name
    `static DERObjectIdentifier` | `GIVENNAME` Naming attribute of type X520name
    `static DERObjectIdentifier` | `INITIALS` Naming attribute of type X520name
    `static DERObjectIdentifier` | `L` locality name - StringType(SIZE(1..64))
    `static DERObjectIdentifier` | `O` organization - StringType(SIZE(1..64))
    `static DERObjectIdentifier` | `OU` organizational unit name - StringType(SIZE(1..64))
    `static DERObjectIdentifier` | `SN` device serial number name - StringType(SIZE(1..64))
    `static DERObjectIdentifier` | `ST` state, or province name - StringType(SIZE(1..64))
    `static DERObjectIdentifier` | `SURNAME` Naming attribute of type X520name
    `static DERObjectIdentifier` | `T` Title
    `static DERObjectIdentifier` | `UID` LDAP User id.
    `static DERObjectIdentifier` | `UNIQUE_IDENTIFIER` Naming attribute of type X520name
    `java.util.HashMap` | `values` A HashMap with values

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PdfPKCS7.X509Name(ASN1Sequence seq)` Constructs an X509 name

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getField(java.lang.String name)`
    `java.util.ArrayList` | `getFieldArray(java.lang.String name)` gets a field array from the values Hashmap
    `java.util.HashMap` | `getFields()` getter for values
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### C

          public static final DERObjectIdentifier C

      country code - StringType(SIZE(2))

    - #### O

          public static final DERObjectIdentifier O

      organization - StringType(SIZE(1..64))

    - #### OU

          public static final DERObjectIdentifier OU

      organizational unit name - StringType(SIZE(1..64))

    - #### T

          public static final DERObjectIdentifier T

      Title

    - #### CN

          public static final DERObjectIdentifier CN

      common name - StringType(SIZE(1..64))

    - #### SN

          public static final DERObjectIdentifier SN

      device serial number name - StringType(SIZE(1..64))

    - #### L

          public static final DERObjectIdentifier L

      locality name - StringType(SIZE(1..64))

    - #### ST

          public static final DERObjectIdentifier ST

      state, or province name - StringType(SIZE(1..64))

    - #### SURNAME

          public static final DERObjectIdentifier SURNAME

      Naming attribute of type X520name

    - #### GIVENNAME

          public static final DERObjectIdentifier GIVENNAME

      Naming attribute of type X520name

    - #### INITIALS

          public static final DERObjectIdentifier INITIALS

      Naming attribute of type X520name

    - #### GENERATION

          public static final DERObjectIdentifier GENERATION

      Naming attribute of type X520name

    - #### UNIQUE_IDENTIFIER

          public static final DERObjectIdentifier UNIQUE_IDENTIFIER

      Naming attribute of type X520name

    - #### EmailAddress

          public static final DERObjectIdentifier EmailAddress

      Email address (RSA PKCS#9 extension) - IA5String.

      Note: if you're trying to be ultra orthodox, don't use this! It shouldn't be in here.

    - #### E

          public static final DERObjectIdentifier E

      email address in Verisign certificates

    - #### DC

          public static final DERObjectIdentifier DC

      object identifier

    - #### UID

          public static final DERObjectIdentifier UID

      LDAP User id.

    - #### DefaultSymbols

          public static java.util.HashMap DefaultSymbols

      A HashMap with default symbols

    - #### values

          public java.util.HashMap values

      A HashMap with values

  - ### Constructor Detail

    - #### PdfPKCS7.X509Name

          public PdfPKCS7.X509Name(ASN1Sequence seq)

      Constructs an X509 name
      Parameters:
        `seq` - an ASN1 Sequence

  - ### Method Detail

    - #### getField

          public java.lang.String getField(java.lang.String name)

    - #### getFieldArray

          public java.util.ArrayList getFieldArray(java.lang.String name)

      gets a field array from the values Hashmap
      Parameters:
        `name` -
      Returns:
        an ArrayList

    - #### getFields

          public java.util.HashMap getFields()

      getter for values
      Returns:
        a HashMap with the fields of the X509 name

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`
      See Also:
        `Object.toString()`